Skip to main content
GET
/
v1
/
wallets
/
{id}
/
credentials
List wallet credentials
curl --request GET \
  --url https://api.paystack.com/v1/wallets/{id}/credentials \
  --header 'Authorization: Bearer <token>'
{
  "status": true,
  "message": "Wallet credentials fetched successfully",
  "code": "ok",
  "data": [
    {
      "id": "wcr_01HXYZABC1234567890ABCDEFG",
      "type": "crypto",
      "currency": "USDC",
      "network": "base",
      "wallet": {
        "id": "wal_01HXYZABC1234567890ABCDEFG",
        "currency": "USDC",
        "label": "USDC Wallet"
      },
      "metadata": {
        "team": "ops"
      },
      "details": {
        "accountName": "Medard Ilunga",
        "accountNumber": "1234567890",
        "bankName": "Wema Bank",
        "bankCode": "035",
        "currency": "NGN"
      },
      "status": "pending",
      "created_at": "2026-05-20T12:00:00.000Z",
      "updated_at": "2026-05-20T12:00:00.000Z",
      "label": "Treasury deposit"
    }
  ],
  "meta": {
    "page": 1,
    "per_page": 50,
    "total": 137,
    "has_more": false,
    "request_id": "req_01HXYZ4K5ABCDEFGHJKLMNPQRS",
    "timestamp": "2026-05-14T15:43:55.732Z",
    "version": "1"
  }
}

Authorizations

Authorization
string
header
required

API key issued during merchant onboarding.

Path Parameters

id
string
required

Wallet external id (wal_…).

Pattern: [^\/#\?]+?
Example:

"wal_01HXYZABC1234567890ABCDEFG"

Query Parameters

page
integer
default:1

1-indexed page number.

Required range: 1 <= x <= 1000000
Example:

1

per_page
integer
default:50

Page size (1–200).

Required range: 1 <= x <= 200
Example:

50

Response

Wallet credentials fetched successfully

status
enum<boolean>
required
Available options:
true
Example:

true

message
string
required

Human-readable summary

Example:

"Wallet credentials fetched successfully"

code
enum<string>
required
Available options:
ok
Example:

"ok"

data
object[]
required
meta
object
required